Package Details: autojump-git 22.5.3.r0.g06e082c-4

Git Clone URL: https://aur.archlinux.org/autojump-git.git (read-only, click to copy)
Package Base: autojump-git
Description: A faster way to navigate your filesystem from the command line
Upstream URL: http://github.com/wting/autojump
Licenses: GPL3
Conflicts: autojump
Provides: autojump
Submitter: webframp
Maintainer: cgirard
Last Packager: cgirard
Votes: 41
Popularity: 0.134329
First Submitted: 2009-04-22 21:19
Last Updated: 2021-01-12 08:13

Dependencies (2)

Required by (1)

Sources (1)

Latest Comments

« First ‹ Previous 1 2 3 4 5 Next › Last »

graysky commented on 2013-01-06 12:55

Upstream removed jumpapplet so your PKGBUILD fails as-is:
Cloning into '/scratch/autojump-git/src/autojump-build'...
done.
install: cannot stat ‘bin/jumpapplet’: No such file or directory
==> ERROR: A failure occurred in build().
Aborting...

wting commented on 2013-01-06 07:32

I've uploaded an updated version of PKGBUILD here:
https://gist.github.com/4465652#file-pkgbuild

wting commented on 2013-01-06 06:37

I removed jumpapplet from the repo today as no one uses it. PKGBUILD really should be using the install.sh script instead.

msx commented on 2013-01-06 05:57

Hi, I have this compile error:


==> Starting script install...
Cloning into '/tmp/yaourtbuild/autojump-git/src/autojump-build'...
done.
install: cannot stat ‘bin/jumpapplet’: No such file or directory
==> ERROR: A failure occurred in build().
Aborting...
==> ERROR: Makepkg was unable to build autojump-git.
==> Restart building autojump-git ? [y/N]
==> -------------------------------------
==>

Any idea?

bostonvaulter commented on 2012-12-20 20:54

@wting done!

wting commented on 2012-11-23 16:38

Please modify autojump-git.install:

From this:

echo " > You need to source /etc/profile in your ~/.bashrc or ~/.zshrc for autojump to work"

To this:

echo " > Please add this line to your ~/.bashrc or ~/zshrc:"
echo " > [[ -s /etc/profile.d/autojump.sh ]] && . /etc/profile.d/autojump.sh"

bostonvaulter commented on 2012-06-29 05:57

Okay it has been updated and should work with the latest master. Thanks for maintaining the package @wting!

wting commented on 2012-06-29 05:06

Please update the dependency and PKGBUILD to use Python 3 instead of Python 2.

Also, when trying to install this package you get the following errors:

==> Building and installing package
==> ERROR: install file ((autojump-git.install)) does not exist.
==> ERROR: Makepkg was unable to build autojump-git.

joelsc commented on 2012-03-13 12:01

Sounds like a bug. Brew is a mac thing, so you shouldn't here about it.

Don't hesitate to report the bug on github: https://github.com/joelthelion/autojump/issues?sort=created&direction=desc&state=open

fzerorubigd commented on 2012-03-12 18:10

I get this error : /etc/profile.d/autojump.zsh:37: command not found: brew
any idea?